
From: William Lee Irwin III <wli@holomorphy.com>

Silence a printk warning.


 25-akpm/drivers/net/tulip/interrupt.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/net/tulip/interrupt.c~tulip-warning-fix drivers/net/tulip/interrupt.c
--- 25/drivers/net/tulip/interrupt.c~tulip-warning-fix	Thu May 22 16:07:40 2003
+++ 25-akpm/drivers/net/tulip/interrupt.c	Thu May 22 16:07:40 2003
@@ -194,10 +194,10 @@ static int tulip_rx(struct net_device *d
 				if (tp->rx_buffers[entry].mapping !=
 				    le32_to_cpu(tp->rx_ring[entry].buffer1)) {
 					printk(KERN_ERR "%s: Internal fault: The skbuff addresses "
-					       "do not match in tulip_rx: %08x vs. %08x %p / %p.\n",
+					       "do not match in tulip_rx: %08x vs. %Lx %p / %p.\n",
 					       dev->name,
 					       le32_to_cpu(tp->rx_ring[entry].buffer1),
-					       tp->rx_buffers[entry].mapping,
+					       (u64)tp->rx_buffers[entry].mapping,
 					       skb->head, temp);
 				}
 #endif

_
